> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetgeek.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get meeting

> Get meeting details given a meeting id



## OpenAPI

````yaml GET /v1/meetings/{meetingId}
openapi: 3.0.0
info:
  description: This is a sample server celler server.
  title: MeetGeek API
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: http://www.swagger.io/support
    email: support@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.meetgeek.ai
  - url: https://api-eu.meetgeek.ai
  - url: https://api-us.meetgeek.ai
security:
  - Bearer: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /v1/meetings/{meetingId}:
    get:
      tags:
        - meeting
      summary: Retrives a meeting
      description: Get meeting details given a meeting id
      parameters:
        - description: Meeting ID
          name: meetingId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_models.MeetingShard
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.BadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.UnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.AccessDeniedError
        '410':
          description: Gone
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.GoneError
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.QuotaLimitReachedError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.InternalServerError
      security:
        - Bearer: []
components:
  schemas:
    github_com_meetgeekai_api_internal_models.MeetingShard:
      type: object
      properties:
        host_email:
          type: string
          example: sasha@example.com
        language:
          type: string
          example: en-US
        meeting_id:
          type: string
          example: 7e0f1953-b2ce-45b8-97b2-03c09da3a602
        participant_emails:
          type: array
          items:
            type: string
          example:
            - john@example.com
            - maria@example.com
        source:
          type: string
          example: google
        join_link:
          type: string
          example: https://meet.google.com/jcn-vnax-tkf
        timestamp_end_utc:
          type: string
          example: '2024-08-08T14:00:34Z'
        timestamp_start_utc:
          type: string
          example: '2024-08-08T13:00:38Z'
        timezone:
          type: string
          example: Europe/Paris
        title:
          type: string
          example: All-hands Meeting
        template:
          type: object
          properties:
            id:
              type: integer
              example: 611549
            name:
              type: string
              example: General meeting
        team_ids:
          type: array
          items:
            type: number
          description: Team IDs for the teams that have access to this meeting
          example:
            - 123
            - 456
        event_id:
          type: string
          description: Internal event identifier from the calendar provider
          example: 0qbhrdosgr33g7s49nq9h3uml7_20250918T080000Z
    github_com_meetgeekai_api_internal_errors.BadRequestError:
      type: object
      properties:
        message:
          type: string
          example: bad request
        reason:
          type: string
          example: missing api key
    github_com_meetgeekai_api_internal_errors.UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          example: unauthorized
    github_com_meetgeekai_api_internal_errors.AccessDeniedError:
      type: object
      properties:
        message:
          type: string
          example: you do not have access to view this meeting
    github_com_meetgeekai_api_internal_errors.GoneError:
      type: object
      properties:
        message:
          type: string
          example: target resource is no longer available
    github_com_meetgeekai_api_internal_errors.QuotaLimitReachedError:
      type: object
      properties:
        message:
          type: string
          example: quota limit reached
        unit:
          type: string
          example: day
    github_com_meetgeekai_api_internal_errors.InternalServerError:
      type: object
      properties:
        message:
          type: string
          example: internal server error
  securitySchemes:
    Bearer:
      description: Type "Bearer" followed by a space and a token
      type: apiKey
      name: Authorization
      in: header

````